## com.lowagie.text.pdf.codec.postscript
Class PAPencil.State

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAPencil.State

All Implemented Interfaces:
  Cloneable

Enclosing class:
  PAPencil

protected static class PAPencil.State
extends Object
implements Cloneable

Field Summary
`AffineTransform` `at`
`Shape` `clipShape`
`Composite` `composite`
`Font` `font`
`Paint` `paint`
`GeneralPath` `path`
`Stroke` `stroke`

Constructor Summary
`PAPencil.State()`
`PAPencil.State(Graphics2D g)`

Method Summary
`Object` `clone()`
`void` `recordState(Graphics2D g)`
`void` `stampState(Graphics2D g, Dimension size)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stroke

    public Stroke stroke

### paint

    public Paint paint

### at

    public AffineTransform at

### clipShape

    public Shape clipShape

### font

    public Font font

### composite

    public Composite composite

### path

    public GeneralPath path

Constructor Detail

### PAPencil.State

    public PAPencil.State()

### PAPencil.State

    public PAPencil.State(Graphics2D g)

Method Detail

### recordState

    public void recordState(Graphics2D g)

### stampState

    public void stampState(Graphics2D g,
                           Dimension size)

### clone

    public Object clone()